%define _altdata_dir %_datadir/alterator

Name: alterator-vm
Version: 0.3
Release: alt27.M41.2

Summary: Alterator module for volume management
License: GPL
Group: System/Configuration/Other

Source0: %name.tar

BuildArch: noarch
BuildRequires: alterator >= 3.1-alt1

Requires: alterator >= 3.1-alt1 guile-evms >= 0.3-alt10

%description
Alterator module for volume management

%prep
%setup -c

%build
make

%install
%makeinstall DESTDIR=%buildroot
install -pD -m0644 profile.scm %buildroot%_cachedir/alterator/vm-profile.scm
%find_lang %name

%files -f %name.lang
%_altdata_dir/applications/vm.desktop
%_altdata_dir/help/*/*
%_altdata_dir/images/vm
%_altdata_dir/ui/vm
%_altdata_dir/interfaces/guile/vm
%exclude %_altdata_dir/ui/vm/dummystr.scm
%_alterator_backend2dir/*
%_cachedir/alterator/vm-profile.scm

%changelog
* Tue Aug 26 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt27.M41.2
- help text updated (cas@) (#16760)

* Mon Jul 14 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt27.M41.1
- fix crash when creating partition pointing to disk (#16340)

* Fri May 23 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt27
- obsolete alterator's `autoinstall' stuff removed

* Thu Apr 10 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt26
- replace volumes listbox in vm/blonde by ugly surrogate (#15119)

* Mon Apr  7 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt25
- do not propose to create fourth primary partition by default (#15081)
- translation in some popups fixed

* Fri Mar 28 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt24
- raid1/5 automatic placer now works (#14187)
- hide `next operation' pane on popup, when not applicable (#14685)
- another offloaded installer entry point added, /vm/lucky
- all installer entry points now have own urls [INCOMPATIBILITY]

* Wed Feb  6 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt23
- avoid to name specific distributions in help

* Wed Jan 23 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt22
- fixed build with recent alterator

* Wed Aug 15 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt21
- fixed autoinstall log generated by blonde.scm
- commented out tooltips, closes \#12240
- added /tmp/metadata directory for profile search paths
- uk.po updated (mike@)

* Mon Jul 16 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt20
- warn user on `clearall' when `next' clicked, closes \#12237 
- desktop entry added

* Mon Jul  9 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt19
- fix check for NTFS before resizing
- messages updated

* Tue Jul  3 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt18
- warn user before resizing NTFS partition, closes \#12176

* Wed Jun 27 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.3-alt17
- changed 'profile' names in vm/blonde 

* Mon Jun 11 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt16
- alternative offloaded /vm entry point added
- translations updated

* Sun May  6 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt15
- stick i18n everywhere, closes \#11708
- change `sure ?' popup type to question, closes \#11706
- be a bit more verbose when profile fails to apply

* Thu Apr 26 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt14
- ukrainian translation updated (Serhii Hlodin)

* Tue Apr 10 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt13
- workaround race when commiting slider value
- select freespace from given disk during op-segment-create
- popup geometry tweaked

* Mon Apr  9 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt12
- prefer raid1 over raid0 by default, closes \#11412

* Thu Apr  5 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt11
- allow ntfs resize

* Tue Apr  3 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt10
- added indication of required free space, semicloses \#11046
- disallow reset to empty value on renewal, closes \#11291
- replaced ugly [x] by icon, closes \#11265
- warn user early when `clearall' selected, closes \#11276
- various various for \#11292
- ukrainian translation, by Mike Shigorin & Wad Mashckoff

* Fri Mar 30 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt9
- skip first frame when looped back during install
- russian translation added

* Mon Mar 26 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt8
- removed apply/reset buttons when in instsaller mode
- warn user about postponed mkfs on existing volumes
- added indication for forced mkfs on volume
- do not autocreate volumes on segments of type raid/lvm
- show mount options, where applicable

* Fri Mar  9 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt7
- warn user, if pending changes exists, closes \#10631 & \#10811
- restrict acceptable fsims by partition type, closes \#11005
- update storage tree after reset, closes \#11030

* Thu Mar  1 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt6
- sync'd with browser idea about combo return value type

* Thu Feb 22 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt5
- ui redo, separate `volumes' table dropped
- autoplacer seems working
- do not try to resize ntfs volumes -- too slow
- do not care about bootable flag on partiotions
- 'linux raid autostart' partition type added

* Thu Feb  8 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt4
- incomplete logging for autoinstall fixed
- devices tree shown with size attributes now
- get rid of obsolete *box varians

* Fri Feb  2 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt3
- always show size in MBs during partition creation
- regression fix appeared in alt2

* Wed Jan 31 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt2
- made "/" bootable, if possible, warn user, if not #10722

* Thu Jan 18 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt1
- ui improvements
- initial install profile support

* Fri Dec 22 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt2
- get rid of obsolete woo-read-names
- fix repetitive `options changed' in title
- fix not shown disks after unassigning partition table
- remove redundant mkfs op, when in installer mode
- hide `create partition table' op

* Tue Dec 19 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt1
- ui: most recent operation chained
- ui: do not show inactive button actions
- ui: various various

* Tue Dec 12 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt11
- filter some uninterested/unambiguous options
- fix breakage with fifth primary
- be stricter on mountpoint assignement
- ui improved a bit

* Tue Dec  5 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt10
- activate volumes at startup, if any
- allow create raid/lvm vg iff free objects exists
- various ui fixes

* Wed Nov 29 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt9
- installer mode: assign mountpoint insterad of mount
- installer mode: back/next buttons pacified

* Mon Nov 27 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt8
- icons added

* Tue Nov 21 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt7
- distinguish between running under wizard vs standalone

* Mon Nov 20 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt6
- generate fstab-like file with newly created/assigned volumes

* Wed Nov  8 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt5
- autocommit acceptable objects during raid creation
- handle exceptions during task applying

* Wed Nov  8 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt4
- sync'd with alterator-2.9-alt0.13

* Tue Nov  7 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt3
- ui: avoid unneeded object selection
- ui: do not show empty objects/options boxes
- ui: handle exception from unsuccessful option value setting

* Tue Oct 31 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt2
- sync'd with alterator's core (2.9-alt0.11)

* Mon Oct 23 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt1
- initial release
